Package org.eclipse.emf.cdo.common.security

# Interface CDOPermissionProvider

All Known Subinterfaces:
  `InternalSession`

All Known Implementing Classes:
  `CDOPermissionProvider.Constant`

public interface CDOPermissionProvider
Provides the protection level of protectable objects.

Since:
  4.1
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static final class`
`CDOPermissionProvider.Constant`
Provides a constant protection level for all `revisions`.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final CDOPermissionProvider`
`NONE`
`static final CDOPermissionProvider`
`READ`
`static final CDOPermissionProvider`
`WRITE`

## Method Summary

Modifier and Type
Method
Description
`CDOPermission`
`getPermission(CDORevision revision, CDOBranchPoint securityContext)`

## Field Details

### NONE

static final CDOPermissionProvider NONE

### READ

static final CDOPermissionProvider READ

### WRITE

static final CDOPermissionProvider WRITE

## Method Details

### getPermission

CDOPermission getPermission(CDORevision revision, CDOBranchPoint securityContext)